#!/usr/bin/env python

# Inspire by Conbagui's  tutorial found here: https://www.deviantart.com/conbagui/art/Draw-a-Thanksgiving-Card-with-GIMP-2-10-820438247

# author: Pocholo
# date: 10/21/20

# Comments directed to http://gimpchat.com

# Installation:
# This script should be placed in the user plugins folder

# Copyright (C)

#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by   
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.


from gimpfu import *

def pm_thanks_giving_turkey_card(size, customtext1, fontname1, text1,
                                                  customtext2, 
                                                    fontname2, 
                                                       text2):

	#Variables	
	size/2000
	
	#Create background layer
	img = pdb.gimp_image_new(size, size, RGB)
	backLayer = pdb.gimp_layer_new(img, size, size, RGB, "Background", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(backLayer)
	pdb.gimp_image_add_layer(img, backLayer, 0)
	pdb.gimp_context_set_foreground("White")
	pdb.gimp_drawable_fill(backLayer, FILL_FOREGROUND)
				
	#Window layer
	windowLayer = pdb.gimp_layer_new(img, size, size, RGB, "Window", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(windowLayer)
	pdb.gimp_image_add_layer(img, windowLayer, 0)
	pdb.gimp_context_set_foreground((255, 137, 27))
	pdb.gimp_drawable_fill(windowLayer, FILL_FOREGROUND)
	
	#Show process
	pdb.gimp_display_new(img)
	
	#Window
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(1400)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_eraser_default(windowLayer, 2, [1000, 1000])
	pdb.plug_in_gmic_qt(img, windowLayer, 1, 0, "-v - -fx_bokeh 3,6,0,30,8,4,0.3,0.5,210,210,80,160,0.7,30,20,20,1,3,170,130,20,110,0.15")
	
	#Paint fall leaves
	leavesLayer = pdb.gimp_layer_new(img, size, size, RGB, "Fall Leaves", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(leavesLayer)
	pdb.gimp_image_add_layer(img, leavesLayer, 0)
	pdb.gimp_drawable_fill(leavesLayer, FILL_TRANSPARENT)
	pdb.gimp_image_select_ellipse(img, 2, 250, 250, 1500, 1500)
	pdb.plug_in_sel2path(img, leavesLayer)
	pdb.gimp_selection_none(img)
	pdb.gimp_context_set_brush("Leaves")
	pdb.gimp_context_set_brush_size(200)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.50)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_context_set_paint_method("gimp-paintbrush")
	pdb.gimp_context_set_stroke_method(STROKE_PAINT_METHOD)
	pdb.gimp_context_set_dynamics('Random Angle')
	vectors = pdb.gimp_image_get_active_vectors(img)
	pdb.gimp_edit_stroke_vectors(leavesLayer, vectors)
	pdb.gimp_context_set_dynamics('Dynamics Off')
	
	#Turkey head
	backLayer = pdb.gimp_image_get_layer_by_name(img, "Background")
	headLayer = pdb.gimp_layer_new(img, size, size, RGB, "Turkey head", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(headLayer)
	pdb.gimp_image_add_layer(img, headLayer, 1)
	pdb.gimp_drawable_fill(headLayer, FILL_TRANSPARENT)
	pdb.gimp_context_set_foreground((192, 80, 32))
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(350)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_paintbrush_default(headLayer, 2, [1000, 1100])
	#Eyes
	pdb.gimp_context_set_foreground((254, 209, 30))
	pdb.gimp_context_set_brush_size(100)
	pdb.gimp_context_set_brush_spacing(1.72)
	pdb.gimp_paintbrush_default(headLayer, 4, [915, 1075, 1085, 1075])
	pdb.gimp_context_set_foreground("White")
	pdb.gimp_context_set_brush_size(75)
	pdb.gimp_context_set_brush_spacing(2.30)
	pdb.gimp_paintbrush_default(headLayer, 4, [915, 1075, 1085, 1075])
	pdb.gimp_context_set_foreground("Black")
	pdb.gimp_context_set_brush_size(35)
	pdb.gimp_context_set_brush_spacing(4.90)
	pdb.gimp_paintbrush_default(headLayer, 4, [915, 1075, 1085, 1075])
	pdb.gimp_context_set_defaults()
	#Beak	
	beakLayer = pdb.gimp_layer_new(img, size, size, RGB, "Beak", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(beakLayer)
	pdb.gimp_image_add_layer(img, beakLayer, 0)
	pdb.gimp_drawable_fill(beakLayer, FILL_TRANSPARENT)
	pdb.gimp_context_set_foreground((254, 209, 30))
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(265)
	pdb.gimp_context_set_brush_aspect_ratio(-2.10)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_paintbrush_default(beakLayer, 2, [1000, 1200])
	pdb.gimp_eraser_default(beakLayer, 2, [950, 1350])
	pdb.gimp_eraser_default(beakLayer, 2, [1050, 1350])
	#Snoods
	pdb.gimp_context_set_foreground((247, 21, 45))
	pdb.gimp_context_set_brush("Pencil 03")
	pdb.gimp_context_set_brush_size(250)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(-20.00)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_context_set_brush_force(1)
	pdb.gimp_paintbrush_default(beakLayer, 2, [1030, 1160, 1030, 1160])
		
	#Neck
	backLayer = pdb.gimp_image_get_layer_by_name(img, "Background")
	neckLayer = pdb.gimp_layer_new(img, size, size, RGB, "Neck", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(neckLayer)
	pdb.gimp_image_add_layer(img, neckLayer, 4)
	pdb.gimp_drawable_fill(neckLayer, FILL_TRANSPARENT)
	pdb.gimp_context_set_foreground((235, 152, 14))
	pdb.gimp_context_set_brush("2. Block 01")
	pdb.gimp_context_set_brush_size(525)
	pdb.gimp_context_set_brush_aspect_ratio(-2.10)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_context_set_brush_force(1)
	pdb.gimp_paintbrush_default(neckLayer, 2, [1000, 1450])
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(585)
	pdb.gimp_context_set_brush_aspect_ratio(-2.00)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_eraser_default(neckLayer, 2, [850, 1475])
	pdb.gimp_eraser_default(neckLayer, 2, [1150, 1475])
	
	#Breast
	backLayer = pdb.gimp_image_get_layer_by_name(img, "Background")
	breastLayer = pdb.gimp_layer_new(img, size, size, RGB, "Breast", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(breastLayer)
	pdb.gimp_image_add_layer(img, breastLayer, 4)
	pdb.gimp_drawable_fill(breastLayer, FILL_TRANSPARENT)
	pdb.gimp_context_set_foreground((192, 80, 32))
	pdb.gimp_context_set_brush("2. Block 01")
	pdb.gimp_context_set_brush_size(270)
	pdb.gimp_context_set_brush_aspect_ratio(0.80)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_context_set_brush_force(1)
	pdb.gimp_paintbrush_default(breastLayer, 2, [1000, 1650])
	pdb.gimp_context_set_defaults()
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(85)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_eraser_default(breastLayer, 2, [912, 1572])
	pdb.gimp_eraser_default(breastLayer, 2, [1000, 1572])
	pdb.gimp_eraser_default(breastLayer, 2, [1092, 1572])
	pdb.gimp_image_select_item(img, 2, breastLayer)
	breastLayer = pdb.gimp_item_transform_perspective(breastLayer, 868, 1575, 1134, 1575, 800, 1727, 1200, 1727)
	breastLayer = pdb.gimp_image_get_floating_sel(img)
	pdb.gimp_floating_sel_anchor(breastLayer)
	
	#Hat
	hatLayer = pdb.gimp_layer_new(img, size, size, RGB, "Hat", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(hatLayer)
	pdb.gimp_image_add_layer(img, hatLayer, 3)
	pdb.gimp_drawable_fill(hatLayer, FILL_TRANSPARENT)
	pdb.gimp_context_set_foreground("Black")
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(650)
	pdb.gimp_context_set_brush_aspect_ratio(5.00)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_paintbrush_default(hatLayer, 2, [1000, 950])	
	headLayer = pdb.gimp_image_get_layer_by_name(img, "Turkey head")
	headmask = pdb.gimp_layer_create_mask(headLayer, 0)
	pdb.gimp_layer_add_mask(headLayer, headmask)
	pdb.gimp_context_set_brush("2. Hardness 100")
	pdb.gimp_context_set_brush_size(650)
	pdb.gimp_context_set_brush_aspect_ratio(5.00)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_context_set_brush_hardness(1)
	pdb.gimp_paintbrush_default(headmask, 2, [1000, 900])		
	
	#Hat top
	topLayer = pdb.gimp_layer_new(img, size, size, RGB, "Top", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(topLayer)
	pdb.gimp_image_add_layer(img, topLayer, 3)
	pdb.gimp_drawable_fill(topLayer, FILL_TRANSPARENT)
	pdb.gimp_image_select_rectangle(img, 2, 950, 675, 100, 250)
	pdb.gimp_context_set_foreground("Black")
	pdb.gimp_edit_bucket_fill(topLayer, BUCKET_FILL_FG, LAYER_MODE_NORMAL, 100, 255, FALSE, 0, 0)
	topLayer = pdb.gimp_item_transform_perspective(topLayer, 950, 675, 1050, 675, 900, 925, 1100, 925)
	topLayer = pdb.gimp_image_get_floating_sel(img)
	pdb.gimp_floating_sel_anchor(topLayer)
	
	#Band and buckle
	topLayer = pdb.gimp_image_get_layer_by_name(img, "Top")
	pdb.gimp_image_set_active_layer(img, topLayer)
	pdb.gimp_image_select_item(img, 2, topLayer)
	bandLayer = pdb.gimp_layer_new(img, size, size, RGB, "Band and Buckle", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(bandLayer)
	pdb.gimp_image_add_layer(img, bandLayer, 3)
	pdb.gimp_drawable_fill(bandLayer, FILL_TRANSPARENT)
	pdb.gimp_image_select_rectangle(img, 3, 900, 860, 200, 40)
	pdb.gimp_context_set_foreground((44, 44, 44))
	pdb.gimp_edit_fill(bandLayer, FILL_FOREGROUND)
	pdb.gimp_selection_none(img)
	pdb.gimp_image_select_rectangle(img, 2, 975, 853, 50, 50)
	pdb.gimp_selection_border(img, 5)
	pdb.gimp_context_set_gradient("Golden")
	pdb.gimp_context_set_gradient_repeat_mode(0)
	pdb.gimp_context_set_gradient_reverse(FALSE)
	pdb.gimp_drawable_edit_gradient_fill(bandLayer, 
	                                            3,   #gradient_type, 
												0,	 #offset, 
											FALSE,	 #supersample,
												3,	 #supersample_max_depth, 
											 0.20,	 #supersample_threshold, 
											 TRUE,   #dither, 
											1000,	 #x1, 
											 875,	 #y1, 
											1050,	 #x2, 
											 875)	 #y2)
	
	pdb.gimp_selection_none(img)
	
	#Feet #1
	feet1Layer = pdb.gimp_layer_new(img, size, size, RGB, "Foot #1", 100, LAYER_MODE_NORMAL)
	pdb.gimp_layer_add_alpha(feet1Layer)
	pdb.gimp_image_add_layer(img, feet1Layer, 0)
	pdb.gimp_drawable_fill(feet1Layer, FILL_TRANSPARENT)
	p = [669, 1540, 614, 1623, 669, 1606, 658, 1642, 695, 1619, 710, 1673, 798, 1592, 669, 1540]
	pdb.gimp_image_select_polygon(img, CHANNEL_OP_REPLACE, len(p), p)
	pdb.gimp_selection_feather(img, 15)
	pdb.gimp_selection_sharpen(img)
	pdb.gimp_context_set_foreground((192, 80, 32))
	pdb.gimp_edit_fill(feet1Layer, FILL_FOREGROUND)
	pdb.gimp_selection_none(img)
	#Feet #2
	non_empty = pdb.gimp_edit_copy(feet1Layer)
	feetlayer2 = pdb.gimp_layer_new(img, size, size, RGB_IMAGE, "Foot #2", 100, LAYER_MODE_NORMAL)
	pdb.gimp_image_add_layer(img, feetlayer2, 0)
	pdb.gimp_layer_add_alpha(feetlayer2)
	pdb.gimp_drawable_fill(feetlayer2, FILL_TRANSPARENT)
	floating_sel = pdb.gimp_edit_paste(feetlayer2, FALSE)
	pdb.gimp_floating_sel_anchor(floating_sel)
	feetlayer2 = pdb.gimp_item_transform_flip_simple(feetlayer2, ORIENTATION_HORIZONTAL, TRUE, 180)
		
	#Innerhole shadow
	backLayer = pdb.gimp_image_get_layer_by_name(img, "Background")
	pdb.gimp_image_set_active_layer(img, backLayer)
	pdb.gimp_context_set_foreground((255, 137, 27))
	pdb.gimp_drawable_fill(backLayer, FILL_FOREGROUND)
	shadowLayer = pdb.gimp_layer_new(img, size, size, RGB_IMAGE, "Shadow", 100, LAYER_MODE_NORMAL)
	pdb.gimp_image_add_layer(img, shadowLayer,11)
	pdb.gimp_layer_add_alpha(shadowLayer)
	pdb.gimp_context_set_foreground("Black")
	pdb.gimp_drawable_fill(shadowLayer, FILL_FOREGROUND)
	pdb.gimp_context_set_brush("2. Hardness 075")
	pdb.gimp_context_set_brush_size(1500)
	pdb.gimp_context_set_brush_aspect_ratio(0)
	pdb.gimp_context_set_brush_angle(0)
	pdb.gimp_context_set_brush_spacing(0.01)
	pdb.gimp_eraser_default(shadowLayer, 2, [1000, 1000])
	feetlayer2 = pdb.gimp_image_get_layer_by_name(img, "Foot #2")
	pdb.gimp_image_set_active_layer(img, feetlayer2)
		
	#Create the top text		
	text1W = size/4
	text1H = size/10
	pdb.gimp_context_set_foreground((254, 209, 30))
	textLayer1 = pdb.gimp_text_fontname(img, None, 0, 0, customtext1, 10, 1, text1, PIXELS, fontname1)
	pdb.gimp_text_layer_set_justification(textLayer1, 2)
		
	#Resize text
	pdb.gimp_layer_scale (textLayer1, text1W, text1H, TRUE)
	
	#Making the text centered	
	textLayer1 = pdb.gimp_image_get_active_layer(img)
	pdb.gimp_image_set_active_layer(img, textLayer1)
	wh = pdb.gimp_drawable_width(textLayer1)
	hh = pdb.gimp_drawable_height(textLayer1)
	w = pdb.gimp_image_width(img)
	h = pdb.gimp_image_height(img)
	pdb.gimp_image_set_active_layer(img,textLayer1)
	centerx=w/2
	centery=h/70
	adw=wh/2
	adh=hh/70
	sw=centerx - adw
	sh=centery - adh		
	pdb.gimp_layer_set_offsets(textLayer1, sw, sh)
	pdb.gimp_layer_resize_to_image_size(textLayer1)
		
	#Drop Shadow
	pdb.python_layerfx_drop_shadow(img, textLayer1,
									    ("Black"),   #color
											  75,   #opacity
												0,   #contou - linear
												0,   #noise
											    3,   #mode - multiply
											    0,   #spread
											    6,   #size
											   55,   #offset_angle
											    8,   #offset_distance
											  TRUE,   #knockout
											 FALSE)   #merge
	
	#Bevel and emboss
	pdb.python_layerfx_bevel_emboss(img, textLayer1, 
												  1,   #style inner bevel
												 65,   #depth 
												  0,   #direction 
											      4,   #size 
											      1,   #soften
												130,   #angle 
												 20,   #altitude 
												  0,   #gloss_contour- linear 
								      (255, 129, 0),   #highlight_color 
												  4,   #highlight_mode - screen
												 75,   #highlight_opacity
									  (255, 129, 0),   #shadow_color 
												  3,   #shadow_mode - multiply
											 	 75,   #shadow_opacity 
												  6,   #surface_contour - half round 
											  FALSE,   #use_texture 
									    "Dried mud",   #pattern 
											     50,   #scale 
											    100,   #tex_depth 
											   TRUE,   #invert 
											   FALSE)   #merge	
	
	#Create the bottom text		
	text2W = size/1.5
	text2H = size/7
	pdb.gimp_context_set_foreground((254, 209, 30))
	textLayer2 = pdb.gimp_text_fontname(img, None, 0, 0, customtext2, 10, 1, text2, PIXELS, fontname2)
	pdb.gimp_text_layer_set_justification(textLayer2, 2)
		
	#Resize text
	pdb.gimp_layer_scale (textLayer2, text2W, text2H, TRUE)
	
	#Making the text centered	
	textLayer2 = pdb.gimp_image_get_active_layer(img)
	pdb.gimp_image_set_active_layer(img, textLayer2)
	wh = pdb.gimp_drawable_width(textLayer2)
	hh = pdb.gimp_drawable_height(textLayer2)
	w = pdb.gimp_image_width(img)
	h = pdb.gimp_image_height(img)
	pdb.gimp_image_set_active_layer(img,textLayer2)
	centerx=w/2
	centery=h/0.99
	adw=wh/2
	adh=hh/0.99
	sw=centerx - adw
	sh=centery - adh		
	pdb.gimp_layer_set_offsets(textLayer2, sw, sh)
	pdb.gimp_layer_resize_to_image_size(textLayer2)
	
	#Drop Shadow
	pdb.python_layerfx_drop_shadow(img, textLayer2,
									    (0, 0, 0),   #color
											   75,   #opacity
												0,   #contou - linear
												0,   #noise
											    3,   #mode - multiply
											    0,   #spread
											    6,   #size
											   55,   #offset_angle
											    8,   #offset_distance
											 TRUE,   #knockout
										    FALSE)   #merge	
	#Bevel and emboss
	pdb.python_layerfx_bevel_emboss(img, textLayer2, 
												  1,   #style inner bevel
												 65,   #depth 
												  0,   #direction 
											      4,   #size 
											      1,   #soften
												130,   #angle 
												 30,   #altitude 
												  0,   #gloss_contour- linear 
								      (255, 129, 0),   #highlight_color 
												  4,   #highlight_mode - screen
												 75,   #highlight_opacity
									  (255, 129, 0),   #shadow_color 
												  3,   #shadow_mode - multiply
											 	 75,   #shadow_opacity 
												  6,   #surface_contour - half round 
											  FALSE,   #use_texture 
									    "Dried mud",   #pattern 
											     50,   #scale 
											    100,   #tex_depth 
											   TRUE,   #invert 
											   FALSE)   #merge
	
	#Make background and window layer invisible
	pdb.gimp_item_set_visible(backLayer, FALSE)
	pdb.gimp_item_set_visible(shadowLayer, FALSE)
	pdb.gimp_item_set_visible(windowLayer, FALSE)
	pdb.gimp_item_set_visible(leavesLayer, FALSE)
	pdb.gimp_item_set_visible(textLayer1, FALSE)
	pdb.gimp_item_set_visible(textLayer2, FALSE)
	hapdroshadowLayer = pdb.gimp_image_get_layer_by_name(img, "Happy-dropshadow")
	pdb.gimp_item_set_visible(hapdroshadowLayer, FALSE)
	HaphighlightLayer= pdb.gimp_image_get_layer_by_name(img, "Happy-highlight")
	pdb.gimp_item_set_visible(HaphighlightLayer, FALSE)
	hapshadowLayer = pdb.gimp_image_get_layer_by_name(img, "Happy-shadow")
	pdb.gimp_item_set_visible(hapshadowLayer, FALSE)
	tgddropshadowLayer = pdb.gimp_image_get_layer_by_name(img, "Thanksgiving Day-dropshadow")
	pdb.gimp_item_set_visible(tgddropshadowLayer, FALSE)
	tgdhighlight = pdb.gimp_image_get_layer_by_name(img, "Thanksgiving Day-highlight")
	pdb.gimp_item_set_visible(tgdhighlight, FALSE)
	tgdshadowLayer = pdb.gimp_image_get_layer_by_name(img, "Thanksgiving Day-shadow")
	pdb.gimp_item_set_visible(tgdshadowLayer, FALSE)
	
	visiblelayer = pdb.gimp_layer_new_from_visible(img, img, "Visible")
	pdb.gimp_image_add_layer(img, visiblelayer, 17)
	pdb.gimp_layer_set_mode(visiblelayer, LAYER_MODE_NORMAL)
	pdb.gimp_item_set_visible(backLayer, TRUE)
	pdb.gimp_item_set_visible(shadowLayer, TRUE)
	pdb.gimp_item_set_visible(windowLayer, TRUE)
	pdb.gimp_item_set_visible(leavesLayer, TRUE)
	pdb.gimp_item_set_visible(tgdshadowLayer, TRUE)
	pdb.gimp_item_set_visible(tgdhighlight, TRUE)
	pdb.gimp_item_set_visible(tgddropshadowLayer, TRUE)
	pdb.gimp_item_set_visible(hapshadowLayer, TRUE)
	pdb.gimp_item_set_visible(HaphighlightLayer, TRUE)
	pdb.gimp_item_set_visible(hapdroshadowLayer, TRUE)
	
	#Outer glow
	pdb.python_layerfx_outer_glow(img, visiblelayer, 
								       ("Black"),   #color
											  45,   #opacity
											   0,   #contou
											   0,   #noise
											   3,   #mode - multiply
											   0,   #spread 
											  40,   #size 
											TRUE,   #knockout 
										   FALSE)   #merge
			
	pdb.gimp_context_set_defaults()
	
register(
	"pm_thanks_giving_turkey_card",
	"Creates a Thanksgiving card",
	"Creates a Thanksgiving card",
	"Pocholo",
	"Pocholo",
	"2020",
	"Thanksgiving Card",
	"",
[	
	(PF_SPINNER, "size", "Size", 2000, (1, 2000, 1)),
	#Text1 params
	(PF_STRING, "customtext1", "Text string", 'Happy'),
	(PF_FONT, "fontname1", "Font name", "Merced"),    
	(PF_SPINNER, "text1", "Top Text size", 200, (200, 200, 1)),
	#Text2 params
	(PF_STRING, "customtext2", "Text string", 'Thanksgiving Day'),
	(PF_FONT, "fontname2", "Font name", "Merced"),    
	(PF_SPINNER, "text2", "Bottom Text size", 200, (200, 200, 1)),
],
[],
pm_thanks_giving_turkey_card, menu="<Image>/Pocholo-scripts/Thanksgiving Card")
main()			